
/*
 * Copyright (c) 2002 Prentice Hall
 * 
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. 
 *
 * PRENTICE HALL MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. PRENTCE HALL SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * Author: Art Taylor  
 */

package chapter14;

import java.rmi.RemoteException; 
import java.rmi.Remote; 
import java.sql.SQLException;
import db.GeneralAggregateVO;

public interface RemoteDAO extends Remote {

public void executeQuery( String query ) throws RemoteException, SQLException;

public void applyUpdates( GeneralAggregateVO gvo ) throws RemoteException, SQLException;

public GeneralAggregateVO getGeneralAggregateVO() throws RemoteException;

public void deleteRow( int row ) throws RemoteException, SQLException; 




}
