/*
 * Copyright (c) 2002 Prentice Hall
 * 
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. 
 *
 * PRENTICE HALL MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. PRENTCE HALL SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * Author: Art Taylor  
 */


package chapter16;

// knowledge_base table value object 
public class Knowledge_baseVO {

private int doc_key;       
private String doc_name;    
private String doc_location; 
private int level;       
private String category;  
private String post_user;  

//private String date_submitted; 
//private String entry_date; 

private java.sql.Date date_submitted; 
private java.sql.Date entry_date; 


private int link_doc;    
private int base_doc_key; 

public int getDoc_key() {
 
   return this.doc_key;

}

public String getDoc_name() {

  return this.doc_name;

}


public int getBase_doc_key() {

  return this.base_doc_key;

}


public String getDoc_location() {

  return this.doc_location;

}

public int getLevel() {

  return this.level;

}

public String getCategory() {

   return this.category;

}

public String getPost_user() {

   return this.post_user;

}

public java.sql.Date getDate_submitted() {

   return this.date_submitted;

}

public java.sql.Date getEntry_date() {

   return this.entry_date;

}


public int getLink_doc() {

  return this.link_doc;

}


// setXXXX 

public void setDoc_key( int doc_key ) {
 
   this.doc_key = doc_key;

}

public void setDoc_name( String doc_name ) {

  this.doc_name = doc_name;

}

public void setDoc_location( String doc_location ) {

  this.doc_location = doc_location;

}

public void setLevel( int level ) {

  this.level = level;

}

public void setCategory( String category ) {

   this.category = category;

}

public void setPost_user( String post_user ) {

   this.post_user = post_user;

}

public void setDate_submitted( String date_submitted ) {
   
   if ( date_submitted == null )
       this.date_submitted = null;
   else
       this.date_submitted = java.sql.Date.valueOf( date_submitted );

}

public void setEntry_date( String entry_date ) {

   if ( entry_date == null )
       this.entry_date = null;
   else
       this.entry_date = java.sql.Date.valueOf( entry_date );

}


public void setLink_doc( int link_doc ) {

  this.link_doc = link_doc;

}

public void setBase_doc_key( int base_doc_key ) {

  this.base_doc_key = base_doc_key;

}







}


