
/*
 * Copyright (c) 2002 Prentice Hall
 * 
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. 
 *
 * PRENTICE HALL MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. PRENTCE HALL SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * Author: Art Taylor  
 */


package chapter15;

import java.util.Vector;
import java.util.Date;
import java.text.DateFormat;
import java.text.ParseException;
import java.io.Serializable;


public class CustomerPurchase implements Serializable {

private String title;
private String stockNumber;
private Date date;
private double amount;

DateFormat df = DateFormat.getDateInstance(DateFormat.SHORT);


public void setDate( String date ) {
try {
  this.date = df.parse( date ); 
}
catch (ParseException e) {
   System.out.println( "ParseException in CustomerPurchase.setDate: " + e.getMessage() );
}
}

public void setTitle( String title ) {
  this.title = title;
}

public void setStockNumber( String stockNumber ) {
   this.stockNumber = stockNumber;
}

public void setAmount( double amount ) {
   this.amount = amount;
}

// get 

public String getTitle() {
     return this.title;
}

public String getStockNumber() {
     return this.stockNumber;
}

public Date getDate() {
     return this.date;
}

public double getAmount() {
     return this.amount;
}

}
