
/*
 * Copyright (c) 2002 Prentice Hall
 * 
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. 
 *
 * PRENTICE HALL MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. PRENTCE HALL SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * Author: Art Taylor  
 */


package db;


public class MoviesVO implements java.io.Serializable {

int movie_id;
String movie_name;
String release_date;
String movie_desc;
int special_promotion;
String update_date;
String category;


// set 
public void setMovie_id( int movie_id ) {

this.movie_id = movie_id;

}

public void setMovie_name( String movie_name ) {

this.movie_name = movie_name;

}

public void setRelease_date(String release_date ) {

this.release_date = release_date;

}


public void setMovie_desc(String movie_desc) {

this.movie_desc = movie_desc;

}

public void setSpecial_promotion(int special_promotion ) {

this.special_promotion = special_promotion;

}

public void setUpdate_date(String update_date) {

this.update_date = update_date;

}

public void setCategory(String category) {

this.category = category;

}

// set this VO to look like the one passed in 
public void setMoviesVO( MoviesVO moviesVO ) {

  this.setMovie_id( moviesVO.getMovie_id() );
  this.setMovie_name( moviesVO.getMovie_name() );
  this.setRelease_date( moviesVO.getRelease_date() );
  this.setCategory( moviesVO.getCategory() );
  this.setUpdate_date( moviesVO.getUpdate_date() );
  this.setMovie_desc( moviesVO.getMovie_desc() );

}


// get 

public int getMovie_id( ) {

return this.movie_id;

}

public String getMovie_name( ) {

return this.movie_name;

}

public String getRelease_date( ) {

return this.release_date;

}


public String getMovie_desc() {

return this.movie_desc;

}

public int getSpecial_promotion( ) {

return this.special_promotion;

}

public String getUpdate_date() {

return this.update_date;

}

public String getCategory() {

return this.category;

}


// --------- 
public void dump() {

System.out.println( "movie_id: " + getMovie_id() );

System.out.println( "movie_name: " + getMovie_name() );
System.out.println( "movie_desc: " + getMovie_desc() );
System.out.println( "release_date: " + getRelease_date() );
System.out.println( "special_promotion: " + getSpecial_promotion() );
System.out.println( "update_date: " + getUpdate_date() );
System.out.println( "category: " + getCategory() );


}



}
