package movies.ejb;

import javax.ejb.*;
import java.rmi.*;
import java.io.Serializable;

import java.sql.*;
import javax.sql.*;
import javax.naming.*;

import db.*;
import jdbcutil.*;

public class MoviesFacadeBean implements SessionBean {

EJBHome   ejbHome;
Handle    ejbHandle;

DBUtil    dbutil;

StatusDAO statusDAO;

PreparedStatement statusQuery1;

SessionContext context;

// 
// return XML formatted string of help desk status 
//
public String getHelpDeskStatus() {

       // getGeneralStatus returns a ResultSet which we 
       // will convert/transform to an XML formatted string 
       // 
       return JDBCXML.toXMLString( statusDAO.getGeneralStatus() ); 
 }

// -------------------------------------------------------
public void ejbCreate() throws CreateException {

  //
  // give constructor the name of the DataSource to use 
  //
  statusDAO  = new StatusDAO( "java:/knowledgebase" );

}
// -------------------------------------------------------

public void setSessionContext(SessionContext sc) { 

      //
      // store the SessionContext 
      //
     this.context = sc;
}


// -------------------------------------------------------
// ** required, but not used ** 
public void remove() {}
public void ejbPostCreate() { }
public void ejbRemove() { }
public void ejbActivate() { }
public void ejbPassivate() { }

public MoviesFacadeBean() {}

}
